package cz.moneta.test.dsl.cagw;

import cz.moneta.test.harness.support.rest.Header;
import cz.moneta.test.harness.support.rest.RestRequest;

public interface CaGwAuthRequest<B, REQ, RESP> extends RestRequest<B, REQ, RESP> {

    @Header("Authorization")
    B withAuthorizationBearer(String authorizationBearer);

    @Header("application_id")
    B withApplicationId(String applicationId);

    @Header("application_secret")
    B withApplicationSecret(String applicationSecret);
}
